{ ... }:
let
  startPrefix = "192.168.2";
  mkPeer = i: publicKey: {
    inherit publicKey;
    allowedIPs = [ "${startPrefix}.${toString i}/32" ]; # Only one IP.
  };
in
  {
    # Comment s'ajouter ?
    # Ajouter un élément dans la liste sous la forme
    # (mkPeer i "publicKey")
    # i := c'est le i dans 192.168.2.i qui sera l'IP « allouée » sur le tunnel
    # publicKey := votre clef publique WireGuard
    # si on veut mettre une presharedKey, faut rajouter une entrée manuellement en suivant la doc :).
    # Ne pas oublier un commentaire à la fin de l'entrée pour documenter qui est quoi.
    # Clef publique actuelle: 95dW/JJDnbOelgot/yWMJMswCzHdQGCqPDvriwq9CT4=
    networking.wireguard.interfaces.wghackens.peers = [
      (mkPeer 2 "ed5ib4LwK6YvRDqUPyvLnbS0onrBQpFApv5HreYuMHs=") # Raito
      (mkPeer 3 "cm0G/YTSnu4sD72wMqXjNqDuauTh5XJHf/nvE0gOpFk=") # BiBi
    ];
  }
